## tree-sitter 0.20.0

=== debian/changelog ===
tree-sitter (0.20.0-2) unstable; urgency=medium

  * Upload to unstable
  * Declare compliance with Policy 4.6.0
  * Fix group name in Vcs-* links

 -- James McCoy <jamessan@debian.org>  Sun, 29 Aug 2021 15:04:11 -0400

tree-sitter (0.20.0-1) experimental; urgency=medium

  * New upstream release
  * Update Vcs-* to salsa.d.o/tree-sitter/tree-sitter
  * libtree-sitter0.symbols: Add/remove functions for 0.20.0
  * Change maintainer to team+tree-sitter@tracker.debian.org

 -- James McCoy <jamessan@debian.org>  Sun, 01 Aug 2021 22:55:19 -0400

tree-sitter (0.19.4-1) experimental; urgency=medium

  * New upstream release
  * Add missing libtree-sitter0 Depends to libtree-sitter-dev (Closes:
    #985695)
  * watch: Support tags with a leading "v"
  * Bump changelog to 0.19.4-1
  * symbols:
    + Raise version for all APIs to 0.19 due to ABI break
    + Add ts_query_cursor_did_exceed_match_limit, new in 0.19.2

 -- James McCoy <jamessan@debian.org>  Sun, 28 Mar 2021 13:53:55 -0400

tree-sitter (0.17.3-1) experimental; urgency=medium

  * Initial release. (Closes: #976003)

 -- James McCoy <jamessan@debian.org>  Wed, 06 Jan 2021 22:39:46 -0500

## tree-sitter 0.20.1

=== debian/changelog ===
tree-sitter (0.20.1-1) unstable; urgency=medium

  * New upstream release
  * Bump copyright years
  * Update libtree-sitter0.symbols

 -- James McCoy <jamessan@debian.org>  Mon, 20 Dec 2021 14:59:34 -0500

## tree-sitter 0.20.3

=== Makefile ===
VERSION := 0.6.3

# install directory layout
PREFIX ?= /usr/local
INCLUDEDIR ?= $(PREFIX)/include
LIBDIR ?= $(PREFIX)/lib
PCLIBDIR ?= $(LIBDIR)/pkgconfig

# collect sources
ifneq ($(AMALGAMATED),1)
	SRC := $(wildcard lib/src/*.c)
	# do not double-include amalgamation
	SRC := $(filter-out lib/src/lib.c,$(SRC))
else
	# use amalgamated build
	SRC := lib/src/lib.c
endif
OBJ := $(SRC:.c=.o)

# define default flags, and override to append mandatory flags
CFLAGS ?= -O3 -Wall -Wextra -Werror
override CFLAGS += -std=gnu99 -fPIC -Ilib/src -Ilib/include

# ABI versioning
SONAME_MAJOR := 0
SONAME_MINOR := 0

# OS-specific bits
ifeq ($(shell uname),Darwin)
	SOEXT = dylib
	SOEXTVER_MAJOR = $(SONAME_MAJOR).dylib
	SOEXTVER = $(SONAME_MAJOR).$(SONAME_MINOR).dylib
	LINKSHARED += -dynamiclib -Wl,-install_name,$(LIBDIR)/libtree-sitter.$(SONAME_MAJOR).dylib
else
	SOEXT = so
	SOEXTVER_MAJOR = so.$(SONAME_MAJOR)
	SOEXTVER = so.$(SONAME_MAJOR).$(SONAME_MINOR)
	LINKSHARED += -shared -Wl,-soname,libtree-sitter.so.$(SONAME_MAJOR)
endif
ifneq (,$(filter $(shell uname),FreeBSD NetBSD DragonFly))
	PCLIBDIR := $(PREFIX)/libdata/pkgconfig
endif

all: libtree-sitter.a libtree-sitter.$(SOEXTVER)

libtree-sitter.a: $(OBJ)
	$(AR) rcs $@ $^

libtree-sitter.$(SOEXTVER): $(OBJ)
	$(CC) $(LDFLAGS) $(LINKSHARED) $^ $(LDLIBS) -o $@
	ln -sf $@ libtree-sitter.$(SOEXT)
	ln -sf $@ libtree-sitter.$(SOEXTVER_MAJOR)

install: all
	install -d '$(DESTDIR)$(LIBDIR)'
	install -m755 libtree-sitter.a '$(DESTDIR)$(LIBDIR)'/libtree-sitter.a
	install -m755 libtree-sitter.$(SOEXTVER) '$(DESTDIR)$(LIBDIR)'/libtree-sitter.$(SOEXTVER)
	ln -sf libtree-sitter.$(SOEXTVER) '$(DESTDIR)$(LIBDIR)'/libtree-sitter.$(SOEXTVER_MAJOR)
	ln -sf libtree-sitter.$(SOEXTVER) '$(DESTDIR)$(LIBDIR)'/libtree-sitter.$(SOEXT)
	install -d '$(DESTDIR)$(INCLUDEDIR)'/tree_sitter
	install -m644 lib/include/tree_sitter/*.h '$(DESTDIR)$(INCLUDEDIR)'/tree_sitter/
	install -d '$(DESTDIR)$(PCLIBDIR)'
	sed -e 's|@LIBDIR@|$(LIBDIR)|;s|@INCLUDEDIR@|$(INCLUDEDIR)|;s|@VERSION@|$(VERSION)|' \
	    -e 's|=$(PREFIX)|=$${prefix}|' \
	    -e 's|@PREFIX@|$(PREFIX)|' \
	    tree-sitter.pc.in > '$(DESTDIR)$(PCLIBDIR)'/tree-sitter.pc

clean:
	rm -f lib/src/*.o libtree-sitter.a libtree-sitter.$(SOEXT) libtree-sitter.$(SOEXTVER_MAJOR) libtree-sitter.$(SOEXTVER)

.PHONY: all install clean

=== debian/changelog ===
tree-sitter (0.20.3-1) unstable; urgency=medium

  * New upstream release
  * libtree-sitter0.symbols: Add/remove functions for 0.20.3

 -- James McCoy <jamessan@debian.org>  Sat, 29 Jan 2022 13:05:52 -0500

=== debian/control ===
Source: tree-sitter
Priority: optional
Maintainer: Tree-sitter Maintainers <team+tree-sitter@tracker.debian.org>
Uploaders:
 James McCoy <jamessan@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.0
Section: libs
Homepage: https://tree-sitter.github.io/tree-sitter/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/tree-sitter-team/tree-sitter.git
Vcs-Browser: https://salsa.debian.org/tree-sitter-team/tree-sitter

Package: libtree-sitter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libtree-sitter0 (= ${binary:Version}),
 ${misc:Depends},
Description: incremental parsing system for programming tools (development files)
 Tree-sitter is a parser generator tool and an incremental parsing library. It
 can build a concrete syntax tree for a source file and efficiently update the
 syntax tree as the source file is edited.
 .
 Tree-sitter aims to be:
 .
  * General enough to parse any programming language
  * Fast enough to parse on every keystroke in a text editor
  * Robust enough to provide useful results even in the presence of
    syntax errors
  * Dependency-free so that the runtime library (which is written in pure
    C) can be embedded in any application
 .
 This package contains the header files and libraries needed for developing
 with tree-sitter.

Package: libtree-sitter0
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: incremental parsing system for programming tools
 Tree-sitter is a parser generator tool and an incremental parsing library. It
 can build a concrete syntax tree for a source file and efficiently update the
 syntax tree as the source file is edited.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*?([0-9.]+)\.tar\.gz/tree-sitter-$1.tar.gz/ \
https://github.com/tree-sitter/tree-sitter/releases/ (?:.*/)?v?([0-9.]+)\.tar\.gz

## tree-sitter 0.20.6

=== debian/changelog ===
tree-sitter (0.20.6-1) unstable; urgency=medium

  * New upstream release

 -- James McCoy <jamessan@debian.org>  Tue, 29 Mar 2022 07:18:48 -0400

## tree-sitter 0.20.7

=== debian/changelog ===
tree-sitter (0.20.7-1) unstable; urgency=medium

  * New upstream release
  * Update symbols for 0.20.7
  * Declare compliance with Policy 4.6.1, no changes needed
  * watch: use mode=git instead of scraping the releases page

 -- James McCoy <jamessan@debian.org>  Tue, 15 Nov 2022 07:19:34 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  James McCoy <jamessan@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://tree-sitter.github.io/tree-sitter/
 Rules-Requires-Root: no

## tree-sitter 0.20.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION := 0.6.3
+VERSION := 0.20.9
 
 # install directory layout
 PREFIX ?= /usr/local

=== debian/changelog ===
tree-sitter (0.20.8-2) unstable; urgency=medium

  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Tue, 04 Jul 2023 09:09:44 -0400

tree-sitter (0.20.8-1) experimental; urgency=medium

  * New upstream release
  * Update symbols for 0.20.8
  * Mark all exported symbols not part of the public API as optional
  * Declare compliance with Policy 4.6.2, no changes needed

 -- James McCoy <jamessan@debian.org>  Fri, 07 Apr 2023 19:59:30 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  James McCoy <jamessan@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://tree-sitter.github.io/tree-sitter/
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

CFLAGS += $(CPPFLAGS)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

## tree-sitter 0.22.6

=== Makefile ===
VERSION := 0.22.6

# install directory layout
PREFIX ?= /usr/local
INCLUDEDIR ?= $(PREFIX)/include
LIBDIR ?= $(PREFIX)/lib
PCLIBDIR ?= $(LIBDIR)/pkgconfig

# collect sources
ifneq ($(AMALGAMATED),1)
	SRC := $(wildcard lib/src/*.c)
	# do not double-include amalgamation
	SRC := $(filter-out lib/src/lib.c,$(SRC))
else
	# use amalgamated build
	SRC := lib/src/lib.c
endif
OBJ := $(SRC:.c=.o)

# define default flags, and override to append mandatory flags
ARFLAGS := rcs
CFLAGS ?= -O3 -Wall -Wextra -Wshadow -pedantic
override CFLAGS += -std=c11 -fPIC -fvisibility=hidden
override CFLAGS += -Ilib/src -Ilib/src/wasm -Ilib/include

# ABI versioning
SONAME_MAJOR := $(word 1,$(subst ., ,$(VERSION)))
SONAME_MINOR := $(word 2,$(subst ., ,$(VERSION)))

# OS-specific bits
ifeq ($(OS),Windows_NT)
	$(error "Windows is not supported")
else ifeq ($(shell uname),Darwin)
	SOEXT = dylib
	SOEXTVER_MAJOR = $(SONAME_MAJOR).dylib
	SOEXTVER = $(SONAME_MAJOR).$(SONAME_MINOR).dylib
	LINKSHARED += -dynamiclib -Wl,-install_name,$(LIBDIR)/libtree-sitter.$(SONAME_MAJOR).dylib
else
	SOEXT = so
	SOEXTVER_MAJOR = so.$(SONAME_MAJOR)
	SOEXTVER = so.$(SONAME_MAJOR).$(SONAME_MINOR)
	LINKSHARED += -shared -Wl,-soname,libtree-sitter.so.$(SONAME_MAJOR)
endif
ifneq ($(filter $(shell uname),FreeBSD NetBSD DragonFly),)
	PCLIBDIR := $(PREFIX)/libdata/pkgconfig
endif

all: libtree-sitter.a libtree-sitter.$(SOEXT) tree-sitter.pc

libtree-sitter.a: $(OBJ)
	$(AR) $(ARFLAGS) $@ $^

libtree-sitter.$(SOEXT): $(OBJ)
	$(CC) $(LDFLAGS) $(LINKSHARED) $^ $(LDLIBS) -o $@
ifneq ($(STRIP),)
	$(STRIP) $@
endif

tree-sitter.pc: tree-sitter.pc.in
	sed -e 's|@VERSION@|$(VERSION)|' \
		-e 's|@LIBDIR@|$(LIBDIR)|' \
		-e 's|@INCLUDEDIR@|$(INCLUDEDIR)|' \
		-e 's|=$(PREFIX)|=$${prefix}|' \
		-e 's|@PREFIX@|$(PREFIX)|' $< > $@

clean:
	$(RM) $(OBJ) tree-sitter.pc libtree-sitter.a libtree-sitter.$(SOEXT)

install: all
	install -d '$(DESTDIR)$(INCLUDEDIR)'/tree_sitter '$(DESTDIR)$(PCLIBDIR)' '$(DESTDIR)$(LIBDIR)'
	install -m644 lib/include/tree_sitter/api.h '$(DESTDIR)$(INCLUDEDIR)'/tree_sitter/api.h
	install -m644 tree-sitter.pc '$(DESTDIR)$(PCLIBDIR)'/tree-sitter.pc
	install -m644 libtree-sitter.a '$(DESTDIR)$(LIBDIR)'/libtree-sitter.a
	install -m755 libtree-sitter.$(SOEXT) '$(DESTDIR)$(LIBDIR)'/libtree-sitter.$(SOEXTVER)
	ln -sf libtree-sitter.$(SOEXTVER) '$(DESTDIR)$(LIBDIR)'/libtree-sitter.$(SOEXTVER_MAJOR)
	ln -sf libtree-sitter.$(SOEXTVER_MAJOR) '$(DESTDIR)$(LIBDIR)'/libtree-sitter.$(SOEXT)

uninstall:
	$(RM) '$(DESTDIR)$(LIBDIR)'/libtree-sitter.a \
		'$(DESTDIR)$(LIBDIR)'/libtree-sitter.$(SOEXTVER) \
		'$(DESTDIR)$(LIBDIR)'/libtree-sitter.$(SOEXTVER_MAJOR) \
		'$(DESTDIR)$(LIBDIR)'/libtree-sitter.$(SOEXT) \
		'$(DESTDIR)$(INCLUDEDIR)'/tree_sitter/api.h \
		'$(DESTDIR)$(PCLIBDIR)'/tree-sitter.pc

.PHONY: all install uninstall clean


##### Dev targets #####

test:
	script/fetch-fixtures
	script/generate-fixtures
	script/test

test_wasm:
	script/generate-fixtures-wasm
	script/test-wasm

lint:
	cargo update --workspace --locked --quiet
	cargo check --workspace --all-targets
	cargo +nightly fmt --all --check
	cargo clippy --workspace --all-targets -- -D warnings

format:
	cargo +nightly fmt --all

changelog:
	@git-cliff --config script/cliff.toml --output CHANGELOG.md --latest --github-token $(shell gh auth token)

.PHONY: test test_wasm lint format changelog

=== debian/changelog ===
tree-sitter (0.22.6-6) unstable; urgency=medium

  * Upload to unstable
  * Add Breaks/Replaces for libtree-sitter0

 -- James McCoy <jamessan@debian.org>  Sun, 16 Mar 2025 16:14:16 -0400

tree-sitter (0.22.6-5) experimental; urgency=medium

  * Remove emscripten Recommends until playground command is enabled
    (Closes: #1093836)
  * Backport patch to include the minor version in the SONAME so the ABI break
    is properly reflected. (Closes: #1100171)
  * Rename libtree-sitter0 to libtree-sitter0.22 for ABI bump

 -- James McCoy <jamessan@debian.org>  Sat, 15 Mar 2025 07:32:12 -0400

tree-sitter (0.22.6-4) unstable; urgency=medium

  * Upload to unstable
  * Revert "Switch package branch to debian/experimental"
  * Add salsa-ci config
  * autopkgtests: Bump bindgen to 0.71
  * Declare compliance with Policy 4.7.2, no changes needed

 -- James McCoy <jamessan@debian.org>  Sat, 08 Mar 2025 13:43:40 -0500

tree-sitter (0.22.6-3) experimental; urgency=medium

  * Switch autopkgtest from dh-cargo to dh-rust
  * cli: Add explicit include field to Cargo.toml to work around cargo's
    behavior of excluding hidden files when "cargo package" is run outside of
    a git repo. (Closes: #1093188)

 -- James McCoy <jamessan@debian.org>  Thu, 23 Jan 2025 21:14:25 -0500

tree-sitter (0.22.6-2) experimental; urgency=medium

  * Add librust-tree-sitter-cli-dev package (Closes: #1093038). This was
    unintentionally dropped when collapsing the independent rust-tree-sitter-*
    packages into src:tree-sitter.

 -- James McCoy <jamessan@debian.org>  Wed, 15 Jan 2025 19:22:14 -0500

tree-sitter (0.22.6-1) experimental; urgency=medium

  * New upstream release (Closes: #1082544)
    + Fix possible infinite loop when a tree has zero-width tokens (Closes:
      #1052020)
  * Build librust-tree-sitter{,-tags,-highlight,-loader,-config}-dev and
    tree-sitter-cli packages here instead of from their own source packages
  * Specify PREFIX and LIBDIR for dh_auto_build
  * Update libtree-sitter0.symbols
  * Switch package branch to debian/experimental
  * Declare compliance with Policy 4.7.0, no changes needed
  * Run wrap-and-sort -ast

 -- James McCoy <jamessan@debian.org>  Fri, 06 Dec 2024 15:48:14 -0500

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,53 @@
 Uploaders:
  James McCoy <jamessan@debian.org>,
 Build-Depends:
+ cargo:native,
  debhelper-compat (= 13),
-Standards-Version: 4.6.2
+ dh-sequence-rust,
+ librust-ansi-term-0.12+default-dev (>= 0.12.1),
+ librust-anstyle-1+default-dev (>= 1.0.4),
+ librust-anyhow-1+default-dev (>= 1.0.82),
+ librust-cc-1+default-dev (>= 1.0.95),
+ librust-clap-4+cargo-dev (>= 4.4.18),
+ librust-clap-4+derive-dev (>= 4.4.18),
+ librust-clap-4+env-dev (>= 4.4.18),
+ librust-clap-4+help-dev (>= 4.4.18),
+ librust-clap-4+unstable-styles-dev (>= 4.4.18),
+ librust-ctor+default-dev (<< 0.3) <!nocheck>,
+ librust-ctrlc-3+termination-dev (>= 3.4.2),
+ librust-difference-2+default-dev (>= 2.0.0),
+ librust-dirs-5+default-dev (>= 5.0.1),
+ librust-filetime-0.2+default-dev (>= 0.2.23),
+ librust-fs4-0.11+default-dev (>= 0.11.0),
+ librust-glob-0.3+default-dev (>= 0.3.1),
+ librust-heck-0.4+default-dev,
+ librust-html-escape-0.2+default-dev (>= 0.2.12),
+ librust-indexmap-2+default-dev (>= 2.2.6),
+ librust-indoc-2+default-dev (>= 2.0.5),
+ librust-lazy-static-1+default-dev (>= 1.4.0),
+ librust-libloading-0.8+default-dev (>= 0.8.3),
+ librust-log-0.4+std-dev (>= 0.4.21),
+ librust-memchr-2+default-dev (>= 2.7.1),
+ librust-once-cell-1+default-dev (>= 1.19.0),
+ librust-pretty-assertions-1+default-dev (>= 1.4.0) <!nocheck>,
+ librust-rand-0.8+default-dev (>= 0.8.5) <!nocheck>,
+ librust-regex-1+default-dev (>= 1.10.4),
+ librust-regex-syntax-0.8+default-dev (>= 0.8.2),
+ librust-rustc-hash-1+default-dev (>= 1.1.0),
+ librust-semver-1+default-dev (>= 1.0.21),
+ librust-serde-1+derive-dev (>= 1.0.198),
+ librust-serde-derive-1+default-dev (>= 1.0.197),
+ librust-serde-json-1+preserve-order-dev (>= 1.0.116),
+ librust-smallbitvec-2+default-dev (>= 2.5.1),
+ librust-tempfile-3+default-dev (>= 3.10.1),
+ librust-thiserror-1+default-dev (>= 1.0.59),
+ librust-tiny-http-0.12+default-dev (>= 0.12.0),
+ librust-unindent-0.2+default-dev (>= 0.2.3) <!nocheck>,
+ librust-walkdir-2+default-dev (>= 2.5.0),
+ librust-webbrowser-dev (>= 0.8),
+ libstd-rust-dev,
+ rustc:native (>= 1.74.1),
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://tree-sitter.github.io/tree-sitter/
 Rules-Requires-Root: no
@@ -17,7 +62,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libtree-sitter0 (= ${binary:Version}),
+ libtree-sitter0.22 (= ${binary:Version}),
  ${misc:Depends},
 Description: incremental parsing system for programming tools (development files)
  Tree-sitter is a parser generator tool and an incremental parsing library. It
@@ -36,11 +81,13 @@
  This package contains the header files and libraries needed for developing
  with tree-sitter.
 
-Package: libtree-sitter0
+Package: libtree-sitter0.22
 Pre-Depends:
  ${misc:Pre-Depends},
 Multi-Arch: same
 Architecture: any
+Breaks: libtree-sitter0 (<< 0.22.6-5~)
+Replaces: libtree-sitter0 (<< 0.22.6-5~)
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -48,3 +95,196 @@
  Tree-sitter is a parser generator tool and an incremental parsing library. It
  can build a concrete syntax tree for a source file and efficiently update the
  syntax tree as the source file is edited.
+
+Package: librust-tree-sitter-dev
+Section: rust
+Architecture: any
+Multi-Arch: same
+Depends:
+ librust-cc-1+default-dev (>= 1.0.95),
+ librust-regex-1+default-dev (>= 1.10.4),
+ rustc (>= 1.65),
+ ${misc:Depends},
+Provides:
+ librust-tree-sitter+default-dev (= ${binary:Version}),
+ librust-tree-sitter-0+default-dev (= ${binary:Version}),
+ librust-tree-sitter-0-dev (= ${binary:Version}),
+ librust-tree-sitter-0.22+default-dev (= ${binary:Version}),
+ librust-tree-sitter-0.22-dev (= ${binary:Version}),
+ librust-tree-sitter-0.22.6+default-dev (= ${binary:Version}),
+ librust-tree-sitter-0.22.6-dev (= ${binary:Version}),
+Description: bindings to the tree-sitter parsing library - Rust source code
+ Tree-sitter is a parser generator tool and an incremental parsing library. It
+ can build a concrete syntax tree for a source file and efficiently update the
+ syntax tree as the source file is edited.
+ .
+ This package contains the source for the Rust tree-sitter crate,
+ packaged for use with cargo and dh-cargo.
+
+Package: librust-tree-sitter-cli-dev
+Section: rust
+Architecture: any
+Multi-Arch: same
+Depends:
+ librust-ansi-term-0.12+default-dev (>= 0.12.1),
+ librust-anstyle-1+default-dev (>= 1.0.4),
+ librust-anyhow-1+default-dev (>= 1.0.82),
+ librust-clap-4+cargo-dev (>= 4.4.18),
+ librust-clap-4+derive-dev (>= 4.4.18),
+ librust-clap-4+env-dev (>= 4.4.18),
+ librust-clap-4+help-dev (>= 4.4.18),
+ librust-clap-4+unstable-styles-dev (>= 4.4.18),
+ librust-ctrlc-3+termination-dev (>= 3.4.2),
+ librust-difference-2+default-dev (>= 2.0.0),
+ librust-dirs-5+default-dev (>= 5.0.1),
+ librust-filetime-0.2+default-dev (>= 0.2.23),
+ librust-glob-0.3+default-dev (>= 0.3.1),
+ librust-heck-0.4+default-dev,
+ librust-html-escape-0.2+default-dev (>= 0.2.12),
+ librust-indexmap-2+default-dev (>= 2.2.6),
+ librust-indoc-2+default-dev (>= 2.0.5),
+ librust-lazy-static-1+default-dev (>= 1.4.0),
+ librust-log-0.4+std-dev (>= 0.4.21),
+ librust-memchr-2+default-dev (>= 2.7.1),
+ librust-regex-1+default-dev (>= 1.10.4),
+ librust-regex-syntax-0.8+default-dev (>= 0.8.2),
+ librust-rustc-hash-1+default-dev (>= 1.1.0),
+ librust-semver-1+default-dev (>= 1.0.21),
+ librust-serde-1+derive-dev (>= 1.0.198),
+ librust-serde-derive-1+default-dev (>= 1.0.197),
+ librust-serde-json-1+preserve-order-dev (>= 1.0.116),
+ librust-smallbitvec-2+default-dev (>= 2.5.1),
+ librust-tiny-http-0.12+default-dev (>= 0.12.0),
+ librust-tree-sitter-0.22+default-dev (>= 0.22.6),
+ librust-tree-sitter-config-0.22+default-dev (>= 0.22.6),
+ librust-tree-sitter-highlight-0.22+default-dev (>= 0.22.6),
+ librust-tree-sitter-loader-0.22+default-dev (>= 0.22.6),
+ librust-tree-sitter-tags-0.22+default-dev (>= 0.22.6),
+ librust-walkdir-2+default-dev (>= 2.5.0),
+ librust-webbrowser-dev (>= 0.8),
+ rustc (>= 1.74.1),
+ ${misc:Depends},
+Provides:
+ librust-tree-sitter-cli+default-dev (= ${binary:Version}),
+ librust-tree-sitter-cli-0+default-dev (= ${binary:Version}),
+ librust-tree-sitter-cli-0-dev (= ${binary:Version}),
+ librust-tree-sitter-cli-0.22+default-dev (= ${binary:Version}),
+ librust-tree-sitter-cli-0.22-dev (= ${binary:Version}),
+ librust-tree-sitter-cli-0.22.6+default-dev (= ${binary:Version}),
+ librust-tree-sitter-cli-0.22.6-dev (= ${binary:Version}),
+Description: command-line for Tree-sitter parsers - Rust source code
+ Tree-sitter is a parser generator tool and an incremental parsing library. It
+ can build a concrete syntax tree for a source file and efficiently update the
+ syntax tree as the source file is edited.
+ .
+ This package contains the source for the Rust tree-sitter-cli crate,
+ packaged for use with cargo and dh-cargo.
+
+Package: librust-tree-sitter-config-dev
+Section: rust
+Architecture: any
+Multi-Arch: same
+Depends:
+ librust-anyhow-1+default-dev (>= 1.0.82),
+ librust-dirs-5+default-dev (>= 5.0.1),
+ librust-serde-1+derive-dev (>= 1.0.198),
+ librust-serde-json-1+preserve-order-dev (>= 1.0.116),
+ rustc (>= 1.74.1),
+ ${misc:Depends},
+Provides:
+ librust-tree-sitter-config+default-dev (= ${binary:Version}),
+ librust-tree-sitter-config-0+default-dev (= ${binary:Version}),
+ librust-tree-sitter-config-0-dev (= ${binary:Version}),
+ librust-tree-sitter-config-0.22+default-dev (= ${binary:Version}),
+ librust-tree-sitter-config-0.22-dev (= ${binary:Version}),
+ librust-tree-sitter-config-0.22.6+default-dev (= ${binary:Version}),
+ librust-tree-sitter-config-0.22.6-dev (= ${binary:Version}),
+Description: user configuration of tree-sitter's CLI programs - Rust source code
+ Tree-sitter is a parser generator tool and an incremental parsing library. It
+ can build a concrete syntax tree for a source file and efficiently update the
+ syntax tree as the source file is edited.
+ .
+ This package contains the source for the Rust tree-sitter-config crate,
+ packaged for use with cargo and dh-cargo.
+
+Package: librust-tree-sitter-highlight-dev
+Section: rust
+Architecture: any
+Multi-Arch: same
+Depends:
+ librust-lazy-static-1+default-dev (>= 1.4.0),
+ librust-regex-1+default-dev (>= 1.10.4),
+ librust-thiserror-1+default-dev (>= 1.0.59),
+ librust-tree-sitter-0.22+default-dev (>= 0.22.6),
+ rustc (>= 1.74.1),
+ ${misc:Depends},
+Provides:
+ librust-tree-sitter-highlight+default-dev (= ${binary:Version}),
+ librust-tree-sitter-highlight-0+default-dev (= ${binary:Version}),
+ librust-tree-sitter-highlight-0-dev (= ${binary:Version}),
+ librust-tree-sitter-highlight-0.22+default-dev (= ${binary:Version}),
+ librust-tree-sitter-highlight-0.22-dev (= ${binary:Version}),
+ librust-tree-sitter-highlight-0.22.6+default-dev (= ${binary:Version}),
+ librust-tree-sitter-highlight-0.22.6-dev (= ${binary:Version}),
+Description: perform syntax highlighting with tree-sitter - Rust source code
+ Tree-sitter is a parser generator tool and an incremental parsing library. It
+ can build a concrete syntax tree for a source file and efficiently update the
+ syntax tree as the source file is edited.
+ .
+ This package contains the source for the Rust tree-sitter-highlight crate,
+ packaged for use with cargo and dh-cargo.
+
+Package: librust-tree-sitter-loader-dev
+Section: rust
+Architecture: any
+Multi-Arch: same
+Depends:
+ librust-anyhow-1+default-dev (>= 1.0.82),
+ librust-cc-1+default-dev (>= 1.0.83),
+ librust-dirs-5+default-dev (>= 5.0.1),
+ librust-fs4-0.11+default-dev (>= 0.11.0),
+ librust-indoc-2+default-dev (>= 2.0.5),
+ librust-libloading-0.8+default-dev (>= 0.8.3),
+ librust-once-cell-1+default-dev (>= 1.19.0),
+ librust-regex-1+default-dev (>= 1.10.4),
+ librust-serde-1+derive-dev (>= 1.0.198),
+ librust-serde-json-1+preserve-order-dev (>= 1.0.116),
+ librust-tempfile-3+default-dev (>= 3.10.1),
+ librust-tree-sitter-0.22+default-dev (>= 0.22.6),
+ librust-tree-sitter-highlight-0.22+default-dev (>= 0.22.6),
+ librust-tree-sitter-tags-0.22+default-dev (>= 0.22.6),
+ rustc (>= 1.74.1),
+ ${misc:Depends},
+Provides:
+ librust-tree-sitter-loader+default-dev (= ${binary:Version}),
+ librust-tree-sitter-loader-0+default-dev (= ${binary:Version}),
+ librust-tree-sitter-loader-0-dev (= ${binary:Version}),
+ librust-tree-sitter-loader-0.22+default-dev (= ${binary:Version}),
+ librust-tree-sitter-loader-0.22-dev (= ${binary:Version}),
+ librust-tree-sitter-loader-0.22.6+default-dev (= ${binary:Version}),
+ librust-tree-sitter-loader-0.22.6-dev (= ${binary:Version}),
+Description: locates, builds, and loads tree-sitter grammars - Rust source code
+ Tree-sitter is a parser generator tool and an incremental parsing library. It
+ can build a concrete syntax tree for a source file and efficiently update the
+ syntax tree as the source file is edited.
+ .
+ This package contains the source for the Rust tree-sitter-loader crate,
+ packaged for use with cargo and dh-cargo.
+
+Package: librust-tree-sitter-tags-dev
+Section: rust
+Architecture: any
+Multi-Arch: same
+Depends:
+ librust-memchr-2+default-dev (>= 2.7.2),
+ librust-regex-1+default-dev (>= 1.10.4),
+ librust-thiserror-1+default-dev (>= 1.0.59),
+ librust-tree-sitter-0.22+default-dev (>= 0.22.6),
+ rustc (>= 1.74.1),
+ ${misc:Depends},
+Provides:
+ librust-tree-sitter-tags+default-dev (= ${binary:Version}),
+ librust-tree-sitter-tags-0+default-dev (= ${binary:Version}),
+ librust-tree-sitter-tags-0-dev (= ${binary:Version}),
+ librust-tree-sitter-tags-0.22+default-dev (= ${binary:Version}),
+ librust-tree-sitter-tags-0.22-dev (= ${binary:Version}),

=== debian/tests/control ===
Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter 0.22.6 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-dev:@,
Depends:
 dh-rust,
 librust-bindgen-0.71+default-dev,
 librust-tree-sitter-dev,
 rustc (>= 1.65),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter 0.22.6 --all-targets
Features:
 test-name=librust-tree-sitter-dev:default,
Depends:
 dh-rust,
 librust-tree-sitter-dev,
 rustc (>= 1.65),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter 0.22.6 --all-targets --no-default-features
Features:
 test-name=librust-tree-sitter-dev:,
Depends:
 dh-rust,
 librust-tree-sitter-dev,
 rustc (>= 1.65),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-config 0.22.6 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-config-dev:@,
Depends:
 dh-rust,
 librust-tree-sitter-config-dev,
 rustc (>= 1.74.1),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-config 0.22.6 --all-targets
Features:
 test-name=librust-tree-sitter-config-dev:default,
Depends:
 dh-rust,
 librust-tree-sitter-config-dev,
 rustc (>= 1.74.1),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-config 0.22.6 --all-targets --no-default-features
Features:
 test-name=librust-tree-sitter-config-dev:,
Depends:
 dh-rust,
 librust-tree-sitter-config-dev,
 rustc (>= 1.74.1),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-highlight 0.22.6 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-highlight-dev:@,
Depends:
 dh-rust,
 librust-tree-sitter-highlight-dev,
 rustc (>= 1.74.1),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-highlight 0.22.6 --all-targets
Features:
 test-name=librust-tree-sitter-highlight-dev:default,
Depends:
 dh-rust,
 librust-tree-sitter-highlight-dev,
 rustc (>= 1.74.1),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-highlight 0.22.6 --all-targets --no-default-features
Features:
 test-name=librust-tree-sitter-highlight-dev:,
Depends:
 dh-rust,
 librust-tree-sitter-highlight-dev,
 rustc (>= 1.74.1),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-loader 0.22.6 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-loader-dev:@,
Depends:
 dh-rust,
 librust-tree-sitter-loader-dev,
 rustc (>= 1.74.1),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-loader 0.22.6 --all-targets
Features:
 test-name=librust-tree-sitter-loader-dev:default,
Depends:
 dh-rust,
 librust-tree-sitter-loader-dev,
 rustc (>= 1.74.1),
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
opts=mode=git \
https://github.com/tree-sitter/tree-sitter.git refs/tags/v@ANY_VERSION@
